Unit ODBFReg6;

Interface

Uses Classes, SysUtils, Forms, Controls, DesignIntf, DesignEditors, ODBF, ODBF_FD;

   {Registers the components in the VCL}
Procedure Register;

implementation

{TFieldListProperty}
Type
  TFieldListProperty = class(TPropertyEditor)
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
    procedure Edit; override;
  end;

function TFieldListProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;

function TFieldListProperty.GetValue: String;
begin
  FmtStr(Result, '(%s)', [GetPropType^.Name]);
end;

procedure TFieldListProperty.Edit;
var DBFStructure: TDBFStructure;
    FieldDefsDlg: TFieldDefsDlg;
begin
  DBFStructure:=GetComponent(0) as TDBFStructure;
  FieldDefsDlg:=TFieldDefsDlg.Create(Application);
  try
     FieldDefsDlg.InitList(DBFStructure);
     if FieldDefsDlg.ShowModal=mrOK then   Designer.Modified;
  finally
     FieldDefsDlg.Free;
  end;
end;

{Registering the components}
Procedure Register;
begin
  RegisterComponents('ODBF', [TDBFTable,TDBFStructure]);
  RegisterPropertyEditor(TypeInfo(TList), TDBFStructure,
    'FieldList', TFieldListProperty);
end;

end.

